{
  "name": "gx-ipfs-pinning",
  "version": "2.11.0",
  "description": "Gaia-X Lab IPFS Pinning service",
  "author": "Gaia-X Lab",
  "license": "EPL-2.0",
  "type": "module",
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:gaia-x/lab/compliance/gx-ipfs-pinning.git"
  },
  "bugs": {
    "url": "https://gitlab.com/gaia-x/lab/compliance/gx-ipfs-pinning/-/issues"
  },
  "private": true,
  "scripts": {
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/src/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "vitest --coverage run",
    "test:watch": "vitest watch"
  },
  "dependencies": {
    "@chainsafe/libp2p-noise": "^14.1.0",
    "@chainsafe/libp2p-yamux": "^6.0.1",
    "@nestjs/common": "^10.0.0",
    "@nestjs/config": "^3.1.1",
    "@nestjs/core": "^10.0.0",
    "@nestjs/platform-express": "^10.0.0",
    "@nestjs/schedule": "^4.0.0",
    "blockstore-fs": "^1.1.7",
    "js-yaml": "^4.1.0",
    "kubo-rpc-client": "^3.0.2",
    "libp2p": "^1.1.1",
    "multiformats": "^12.1.3",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^5.0.5",
    "rxjs": "^7.8.1",
    "simple-git": "^3.21.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^18.4.3",
    "@commitlint/config-conventional": "^18.4.3",
    "@egavard/semantic-release-slack": "^1.0.9",
    "@nestjs/cli": "^10.0.0",
    "@nestjs/schematics": "^10.0.0",
    "@nestjs/testing": "^10.0.0",
    "@rdfjs/parser-jsonld": "^2.1.0",
    "@rdfjs/parser-n3": "^2.0.1",
    "@saithodev/semantic-release-backmerge": "^4.0.1",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^12.1.1",
    "@swc/core": "^1.4.17",
    "@types/express": "^4.17.17",
    "@types/jest": "^29.5.2",
    "@types/node": "^20.3.1",
    "@types/rdf-ext": "^2.2.5",
    "@types/rdf-validate-shacl": "^0.4.6",
    "@types/rdfjs__parser-jsonld": "^2.1.5",
    "@types/rdfjs__parser-n3": "^2.0.5",
    "@types/supertest": "^2.0.12",
    "@typescript-eslint/eslint-plugin": "^5.62.0",
    "@typescript-eslint/parser": "^5.62.0",
    "@vitest/coverage-v8": "^0.34.6",
    "eslint": "^8.42.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.0",
    "husky": "^8.0.3",
    "jest": "^29.5.0",
    "prettier": "^3.0.0",
    "prettier-plugin-organize-imports": "^3.2.4",
    "rdf-ext": "^2.5.0",
    "rdf-utils-fs": "^3.0.0",
    "rdf-validate-shacl": "^0.5.1",
    "semantic-release": "^22.0.8",
    "source-map-support": "^0.5.21",
    "supertest": "^6.3.3",
    "ts-jest": "^29.1.0",
    "ts-loader": "^9.4.3",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^4.2.0",
    "typescript": "^5.1.3",
    "unplugin-swc": "^1.4.5",
    "vitest": "^0.34.6"
  }
}
